python-pyqt5_5.5.1+dfsg-3ubuntu4_amd64.deb


Advertisement

Description

python-pyqt5 - Python 2 bindings for Qt5

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-pyqt5
Package version 5.5.1+dfsg
Package release 3ubuntu4
Package architecture amd64
Package type deb
Installed size 13.75 KB
Download size 2.01 MB
Official Mirror archive.ubuntu.com
PyQt5 exposes the Qt5 API to Python 2. This package contains the following
modules:
* QtCore
* QtDBus
* QtDesigner
* QtGui
* QtHelp
* QtNetwork
* QtPrintSupport
* QtTest
* QtWidgets
* QtXml

Alternatives

Package Version Architecture Repository
python-pyqt5_5.5.1+dfsg-3ubuntu5~xenialoverlay11~1_amd64.deb 5.5.1+dfsg amd64 Kubuntu Backports
python-pyqt5_5.5.1+dfsg-3ubuntu5~xenialoverlay11~1_i386.deb 5.5.1+dfsg i386 Kubuntu Backports
python-pyqt5_5.5.1+dfsg-3ubuntu4_i386.deb 5.5.1+dfsg i386 Ubuntu Universe
python-pyqt5 - - -

Requires

Name Value
libc6 >= 2.14
libqt5core5a >= 5.5.1
libqt5dbus5 >= 5.5.0
libqt5designer5 >= 5.0.2
libqt5gui5 >= 5.2.0
libqt5gui5 >= 5.5.0
libqt5gui5-gles >= 5.5.0
libqt5help5 >= 5.3.0
libqt5network5 >= 5.5.0
libqt5printsupport5 >= 5.4.0
libqt5test5 >= 5.0.2
libqt5widgets5 >= 5.5.0
libqt5xml5 >= 5.2.0
libstdc++6 >= 4.1.1
python >= 2.7~
python << 2.8
python:any >= 2.7.5-5~
qtbase-abi-5-5-1 -
sip-api-11.2 -

Download

Type URL
Binary Package python-pyqt5_5.5.1+dfsg-3ubuntu4_amd64.deb
Source Package pyqt5

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-pyqt5 deb package:
    # sudo apt-get install python-pyqt5

Files

Path
/usr/lib/python2.7/dist-packages/PyQt5/Qt.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/PyQt5/QtCore.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/PyQt5/QtDBus.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/PyQt5/QtDesigner.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/PyQt5/QtGui.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/PyQt5/QtHelp.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/PyQt5/QtNetwork.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/PyQt5/QtPrintSupport.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/PyQt5/QtTest.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/PyQt5/QtWidgets.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/PyQt5/QtXml.x86_64-linux-gnu.so
/usr/lib/python2.7/dist-packages/PyQt5/__init__.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/__init__.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/driver.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/exceptions.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/icon_cache.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/objcreator.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/properties.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/pyuic.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/uiparser.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/Compiler/__init__.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/Compiler/compiler.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/Compiler/indenter.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/Compiler/misc.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/Compiler/proxy_metaclass.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/Compiler/qobjectcreator.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/Compiler/qtproxies.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/Loader/__init__.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/Loader/loader.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/Loader/qobjectcreator.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/port_v2/__init__.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/port_v2/as_string.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/port_v2/ascii_upper.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/port_v2/invoke.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/port_v2/load_plugin.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/port_v2/proxy_base.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/port_v2/string_io.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/widget-plugins/.noinit
/usr/lib/python2.7/dist-packages/PyQt5/uic/widget-plugins/qaxcontainer.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/widget-plugins/qscintilla.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/widget-plugins/qtprintsupport.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/widget-plugins/qtquickwidgets.py
/usr/lib/python2.7/dist-packages/PyQt5/uic/widget-plugins/qtwebkit.py
/usr/share/doc/python-pyqt5/changelog.Debian.gz
/usr/share/doc/python-pyqt5/copyright

Changelog

2016-01-19 - Matthias Klose <doko@ubuntu.com>
pyqt5 (5.5.1+dfsg-3ubuntu4) xenial; urgency=medium
* No-change rebuild to drop python3.4 support.
2015-11-03 - Timo Jyrinki <timo-jyrinki@ubuntu.com>
pyqt5 (5.5.1+dfsg-3ubuntu3) xenial; urgency=medium
* No-change rebuild against Qt 5.5.1.
* Re-enable QtLocation library.
2015-10-26 - Dmitry Shachnev <mitya57@ubuntu.com>
pyqt5 (5.5.1+dfsg-3ubuntu2) xenial; urgency=medium
* Temporarily disable installing QtLocation library, it is not built
when Qt is older than 5.5.
2015-10-26 - Dmitry Shachnev <mitya57@ubuntu.com>
pyqt5 (5.5.1+dfsg-3ubuntu1) xenial; urgency=medium
* Build against Qt 5.4.
2015-10-25 - Dmitry Shachnev <mitya57@debian.org>
pyqt5 (5.5.1+dfsg-3) unstable; urgency=medium
* Move pyuic5-related sed call to install-arch target, it should not
be run during indep builds.
2015-10-25 - Dmitry Shachnev <mitya57@debian.org>
pyqt5 (5.5.1+dfsg-2) unstable; urgency=medium
* Make pyuic5 shebang fixup really work.
2015-10-25 - Dmitry Shachnev <mitya57@debian.org>
pyqt5 (5.5.1+dfsg-1) unstable; urgency=medium
[ Dmitry Shachnev ]
* New upstream release.
* Move fdupes from Build-Depends to Build-Depends-Indep, it is only
used to build pyqt5-examples package.
* Sort debian/pyqt5-dev-tools.manpages file.
* Remove examples/webkit/fancybrowser/__pycache__ from orig tarball,
it contains a compiled file without source.
* Remove uupdate call from debian/rules, not needed with git-dpm.
[ Matthias Klose ]
* pyuic5: Call the unversioned python3 interpreter.
2015-10-22 - Dmitry Shachnev <mitya57@debian.org>
pyqt5 (5.5+dfsg-2) unstable; urgency=medium
* Remove gstreamer 0.10 packages from build-depends, no longer needed.
* Update Vcs fields for Git migration.
* Add support for Qt 5.5.1 (0001-Add-support-for-Qt-5.5.1.patch).
* Move python3-sphinx from Build-Depends to Build-Depends-Indep.
* Upload to unstable.
2015-08-20 - Dmitry Shachnev <mitya57@debian.org>
pyqt5 (5.5+dfsg-1) experimental; urgency=medium
* New upstream release.
* Build against Qt 5.5.0.
* Add explicit build-dependency on dh-python.
* Drop Enginio packages. QtEnginio is no longer developed and
pending deprecation.
* Build with Sphinx 1.3.
* Specify repacksuffix in debian/watch.
* Drop XS-Testsuite header, no longer needed with new dpkg versions.
* Bump year in debian/copyright.
* Add QtLocation library to QtPositioning packages.
2015-06-25 - Dmitry Shachnev <mitya57@debian.org>
pyqt5 (5.4.2+dfsg-1) unstable; urgency=medium
* New upstream release.
* Drop all patches, applied upstream.
* Add a temporary hack to use upstream stylesheet when building the
documentation with Sphinx 1.2.
* Build-depend on sip 4.16.8+dfsg-2, as the previous upload would
generate wrong dependencies for Python 3 packages.
* Upload to unstable.

See Also

Package Description
python-pyqtgraph-doc_0.9.10-5_all.deb Scientific Graphics and GUI Library for Python (common documentation)
python-pyqtgraph_0.9.10-5_all.deb Scientific Graphics and GUI Library for Python 2
python-pyquery_1.2.9-2_all.deb jQuery-like library for python 2
python-pyrad_2.0-3_all.deb Python module for creating and decoding RADIUS packets (Python 2)
python-pyramid-beaker_0.6.1+ds1-1_all.deb Beaker sessioning bindings for Pyramid
python-pyramid-tm_0.5-1_all.deb Transaction management for the Pyramid web framework
python-pyramid-zcml_1.0.0-1_all.deb Declarative configuration for the Pyramid web framework
python-pyramid_1.6+dfsg-1_all.deb Pyramid web application framework, a Pylons project
python-pyregion_1.1.4-2build1_amd64.deb Python module to parse ds9 region files (Python 2)
python-pyresample-doc_1.1.6-1_all.deb Resampling of remote sensing data in Python (documentation)
python-pyresample-test_1.1.6-1_all.deb Resampling of remote sensing data in Python (test suite)
python-pyresample_1.1.6-1_all.deb Resampling of remote sensing data in Python 2
python-pyroma_2.0.0b2-1_all.deb Python packaging quality checker
python-pyroute2_0.3.5-1_all.deb Python Netlink library
python-pyrrd_0.1.0-2_all.deb object-oriented Python interface for RRD
Advertisement
Advertisement